define(['handlebars'], function(Handlebars) {

this["Templates"] = this["Templates"] || {};

this["Templates"]["backups/index"] = Handlebars.template(function (Handlebars,depth0,helpers,partials,data) {
  this.compilerInfo = [4,'>= 1.0.0'];
helpers = this.merge(helpers, Handlebars.helpers); data = data || {};
  var buffer = "", stack1, functionType="function", escapeExpression=this.escapeExpression, self=this, helperMissing=helpers.helperMissing;

function program1(depth0,data) {
  
  var buffer = "", stack1, helper, options;
  buffer += "\n            ";
  stack1 = (helper = helpers.currentdb || (depth0 && depth0.currentdb),options={hash:{},inverse:self.program(4, program4, data),fn:self.program(2, program2, data),data:data},helper ? helper.call(depth0, depth0, options) : helperMissing.call(depth0, "currentdb", depth0, options));
  if(stack1 || stack1 === 0) { buffer += stack1; }
  buffer += "\n          ";
  return buffer;
  }
function program2(depth0,data) {
  
  var buffer = "";
  buffer += "\n              <option value=\""
    + escapeExpression((typeof depth0 === functionType ? depth0.apply(depth0) : depth0))
    + "\" selected=\"selected\">"
    + escapeExpression((typeof depth0 === functionType ? depth0.apply(depth0) : depth0))
    + "</option>\n            ";
  return buffer;
  }

function program4(depth0,data) {
  
  var buffer = "";
  buffer += "\n              <option value=\""
    + escapeExpression((typeof depth0 === functionType ? depth0.apply(depth0) : depth0))
    + "\">"
    + escapeExpression((typeof depth0 === functionType ? depth0.apply(depth0) : depth0))
    + "</option>\n            ";
  return buffer;
  }

  buffer += "<div class=\"inner-body\">\n  <div>\n    <div class=\"alert alert-info\"><b>Currently supported for MySQL only.</b> Backups View provides an easy way to export database structure and data.</div>\n  </div>\n  <form method=\"post\" action=\"\" class=\"form-inline create-backup-form\">\n    <fieldset>\n      <input type=\"hidden\" name=\"conn\" value=\""
    + escapeExpression(((stack1 = ((stack1 = (depth0 && depth0.Context)),stack1 == null || stack1 === false ? stack1 : stack1.connection)),typeof stack1 === functionType ? stack1.apply(depth0) : stack1))
    + "\">\n      <div class=\"form-group\">\n        <select name=\"db\" class=\"form-control\">\n          ";
  stack1 = helpers.each.call(depth0, ((stack1 = (depth0 && depth0.Context)),stack1 == null || stack1 === false ? stack1 : stack1.dbs), {hash:{},inverse:self.noop,fn:self.program(1, program1, data),data:data});
  if(stack1 || stack1 === 0) { buffer += stack1; }
  buffer += "\n        </select>\n        <button type=\"submit\" class=\"btn btn-primary\">Create new backup</button>\n      </div>\n    </fieldset>\n  </form>\n  <div>\n    <table class=\"table table-bordered backup-list\">\n      <thead>\n        <tr>\n          <th>File</th>\n          <th>Database</th>\n          <th>Created</th>\n          <th>Finished</th>\n          <th>Elapsed time</th>\n          <th>User</th>\n          <th>Delete</th>\n        </tr>\n      </thead>\n      <tbody>\n        <tr class=\"empty-row\">\n          <td colspan=\"9\">Loading backups, please wait.</td>\n        </tr>\n      </tbody>\n    </table>\n  </div>\n</div>\n";
  return buffer;
  });

this["Templates"]["backups/row"] = Handlebars.template(function (Handlebars,depth0,helpers,partials,data) {
  this.compilerInfo = [4,'>= 1.0.0'];
helpers = this.merge(helpers, Handlebars.helpers); data = data || {};
  var buffer = "", stack1, helper, functionType="function", escapeExpression=this.escapeExpression, self=this;

function program1(depth0,data) {
  
  var buffer = "", stack1, helper;
  buffer += "\n    <a href=\"/backup/download/";
  if (helper = helpers.id) { stack1 = helper.call(depth0, {hash:{},data:data}); }
  else { helper = (depth0 && depth0.id); stack1 = typeof helper === functionType ? helper.call(depth0, {hash:{},data:data}) : helper; }
  buffer += escapeExpression(stack1)
    + "\" target=\"_blank\">Download</a>\n    <br> ";
  if (helper = helpers.filename) { stack1 = helper.call(depth0, {hash:{},data:data}); }
  else { helper = (depth0 && depth0.filename); stack1 = typeof helper === functionType ? helper.call(depth0, {hash:{},data:data}) : helper; }
  buffer += escapeExpression(stack1)
    + "\n  ";
  return buffer;
  }

function program3(depth0,data) {
  
  
  return "\n    <span class=\"loading-icon-sm\"></span> Processing\n  ";
  }

function program5(depth0,data) {
  
  var buffer = "", stack1, helper;
  buffer += "\n    ";
  if (helper = helpers.created_at_f) { stack1 = helper.call(depth0, {hash:{},data:data}); }
  else { helper = (depth0 && depth0.created_at_f); stack1 = typeof helper === functionType ? helper.call(depth0, {hash:{},data:data}) : helper; }
  buffer += escapeExpression(stack1)
    + "\n    <br>\n    <span class=\"text-muted\">";
  if (helper = helpers.created_at) { stack1 = helper.call(depth0, {hash:{},data:data}); }
  else { helper = (depth0 && depth0.created_at); stack1 = typeof helper === functionType ? helper.call(depth0, {hash:{},data:data}) : helper; }
  buffer += escapeExpression(stack1)
    + "</span>\n  ";
  return buffer;
  }

function program7(depth0,data) {
  
  
  return "\n    N/A\n  ";
  }

function program9(depth0,data) {
  
  var buffer = "", stack1, helper;
  buffer += "\n    ";
  if (helper = helpers.finished_at_f) { stack1 = helper.call(depth0, {hash:{},data:data}); }
  else { helper = (depth0 && depth0.finished_at_f); stack1 = typeof helper === functionType ? helper.call(depth0, {hash:{},data:data}) : helper; }
  buffer += escapeExpression(stack1)
    + "\n    <br>\n    <span class=\"text-muted\">";
  if (helper = helpers.finished_at) { stack1 = helper.call(depth0, {hash:{},data:data}); }
  else { helper = (depth0 && depth0.finished_at); stack1 = typeof helper === functionType ? helper.call(depth0, {hash:{},data:data}) : helper; }
  buffer += escapeExpression(stack1)
    + "</span>\n  ";
  return buffer;
  }

function program11(depth0,data) {
  
  var buffer = "", stack1, helper;
  buffer += "\n    ";
  if (helper = helpers.elapsed_f) { stack1 = helper.call(depth0, {hash:{},data:data}); }
  else { helper = (depth0 && depth0.elapsed_f); stack1 = typeof helper === functionType ? helper.call(depth0, {hash:{},data:data}) : helper; }
  buffer += escapeExpression(stack1)
    + "\n    ";
  stack1 = helpers['if'].call(depth0, (depth0 && depth0.elapsed), {hash:{},inverse:self.noop,fn:self.program(12, program12, data),data:data});
  if(stack1 || stack1 === 0) { buffer += stack1; }
  buffer += "\n  ";
  return buffer;
  }
function program12(depth0,data) {
  
  var buffer = "", stack1, helper;
  buffer += "\n      <br>\n      <span class=\"text-muted\">To be precise: ";
  if (helper = helpers.elapsed) { stack1 = helper.call(depth0, {hash:{},data:data}); }
  else { helper = (depth0 && depth0.elapsed); stack1 = typeof helper === functionType ? helper.call(depth0, {hash:{},data:data}) : helper; }
  buffer += escapeExpression(stack1)
    + " milliseconds</span>\n    ";
  return buffer;
  }

  buffer += "<!-- backup list row content -->\n<td>\n  ";
  stack1 = helpers['if'].call(depth0, (depth0 && depth0.finished_at), {hash:{},inverse:self.program(3, program3, data),fn:self.program(1, program1, data),data:data});
  if(stack1 || stack1 === 0) { buffer += stack1; }
  buffer += "\n</td>\n<td>\n  ";
  if (helper = helpers.db) { stack1 = helper.call(depth0, {hash:{},data:data}); }
  else { helper = (depth0 && depth0.db); stack1 = typeof helper === functionType ? helper.call(depth0, {hash:{},data:data}) : helper; }
  buffer += escapeExpression(stack1)
    + "\n  <br>\n  <span class=\"text-muted\">Connection \"";
  if (helper = helpers.conn_title) { stack1 = helper.call(depth0, {hash:{},data:data}); }
  else { helper = (depth0 && depth0.conn_title); stack1 = typeof helper === functionType ? helper.call(depth0, {hash:{},data:data}) : helper; }
  buffer += escapeExpression(stack1)
    + "\"</span>\n</td>\n<td>\n  ";
  stack1 = helpers['if'].call(depth0, (depth0 && depth0.created_at_f), {hash:{},inverse:self.program(7, program7, data),fn:self.program(5, program5, data),data:data});
  if(stack1 || stack1 === 0) { buffer += stack1; }
  buffer += "\n</td>\n<td>\n  ";
  stack1 = helpers['if'].call(depth0, (depth0 && depth0.finished_at_f), {hash:{},inverse:self.program(7, program7, data),fn:self.program(9, program9, data),data:data});
  if(stack1 || stack1 === 0) { buffer += stack1; }
  buffer += "\n</td>\n<td>\n  ";
  stack1 = helpers['if'].call(depth0, (depth0 && depth0.elapsed_f), {hash:{},inverse:self.program(7, program7, data),fn:self.program(11, program11, data),data:data});
  if(stack1 || stack1 === 0) { buffer += stack1; }
  buffer += "\n</td>\n<td>\n  ";
  if (helper = helpers.user) { stack1 = helper.call(depth0, {hash:{},data:data}); }
  else { helper = (depth0 && depth0.user); stack1 = typeof helper === functionType ? helper.call(depth0, {hash:{},data:data}) : helper; }
  buffer += escapeExpression(stack1)
    + "\n  <br>\n  <span class=\"text-muted\">User ID #";
  if (helper = helpers.user_id) { stack1 = helper.call(depth0, {hash:{},data:data}); }
  else { helper = (depth0 && depth0.user_id); stack1 = typeof helper === functionType ? helper.call(depth0, {hash:{},data:data}) : helper; }
  buffer += escapeExpression(stack1)
    + " "
    + escapeExpression(((stack1 = ((stack1 = (depth0 && depth0.user)),stack1 == null || stack1 === false ? stack1 : stack1.id)),typeof stack1 === functionType ? stack1.apply(depth0) : stack1))
    + "</span>\n</td>\n<td>\n  <button class=\"btn btn-danger btn-xxs delete-backup\">\n    <span class=\"glyphicon glyphicon-remove\"></span>\n  </button>\n</td>\n";
  return buffer;
  });

this["Templates"]["builder/body"] = Handlebars.template(function (Handlebars,depth0,helpers,partials,data) {
  this.compilerInfo = [4,'>= 1.0.0'];
helpers = this.merge(helpers, Handlebars.helpers); data = data || {};
  


  return "<div class=\"panel panel-default\">\n    <div class=\"panel-heading\">\n        <b>Builder</b>\n    </div>\n    <div class=\"panel-body\">\n        <div class=\"btn-group content-menu builder-menu\">\n            <button class=\"btn btn-primary\" data-mode=\"Structure\">Structure</button>\n            <button class=\"btn\" data-mode=\"Indexes\">Indexes</button>\n            <button class=\"btn\" data-mode=\"ForeignKeys\">Foreign keys</button>\n        </div>\n        <div class=\"inner-body builder-content\"></div>\n    </div>\n</div>";
  });

this["Templates"]["builder/structure"] = Handlebars.template(function (Handlebars,depth0,helpers,partials,data) {
  this.compilerInfo = [4,'>= 1.0.0'];
helpers = this.merge(helpers, Handlebars.helpers); data = data || {};
  


  return "<div class=\"inner-body\">\n\n  <h5>Table Schema</h5>\n\n  <div class=\"sensei-grid sensei-grid-builder\">\n    <div class=\"alert alert-info\">You must choose table in the sidebar in order to see the structure.</div>\n  </div>\n\n  <h5>Indexes</h5>\n\n  <div class=\"sensei-grid sensei-grid-index\">\n  </div>\n\n  <h5>Foreign Keys</h5>\n\n  <div class=\"sensei-grid sensei-grid-fk\">\n  </div>\n\n</div>\n";
  });

this["Templates"]["connection"] = Handlebars.template(function (Handlebars,depth0,helpers,partials,data) {
  this.compilerInfo = [4,'>= 1.0.0'];
helpers = this.merge(helpers, Handlebars.helpers); data = data || {};
  var buffer = "", stack1, functionType="function", escapeExpression=this.escapeExpression, self=this;

function program1(depth0,data) {
  
  
  return "\n    <span class=\"glyphicon glyphicon-globe team_shared\"></span>\n  ";
  }

function program3(depth0,data) {
  
  
  return "\n    <span class=\"glyphicon glyphicon-remove remove\"></span>\n  ";
  }

  buffer += "<a title=\""
    + escapeExpression(((stack1 = ((stack1 = (depth0 && depth0.conn)),stack1 == null || stack1 === false ? stack1 : stack1.title)),typeof stack1 === functionType ? stack1.apply(depth0) : stack1))
    + " ("
    + escapeExpression(((stack1 = ((stack1 = (depth0 && depth0.conn)),stack1 == null || stack1 === false ? stack1 : stack1.username)),typeof stack1 === functionType ? stack1.apply(depth0) : stack1))
    + "@"
    + escapeExpression(((stack1 = ((stack1 = (depth0 && depth0.conn)),stack1 == null || stack1 === false ? stack1 : stack1.hostname)),typeof stack1 === functionType ? stack1.apply(depth0) : stack1))
    + ":"
    + escapeExpression(((stack1 = ((stack1 = (depth0 && depth0.conn)),stack1 == null || stack1 === false ? stack1 : stack1.port)),typeof stack1 === functionType ? stack1.apply(depth0) : stack1))
    + ")\">\n  ";
  stack1 = helpers['if'].call(depth0, ((stack1 = (depth0 && depth0.conn)),stack1 == null || stack1 === false ? stack1 : stack1.team_shared), {hash:{},inverse:self.noop,fn:self.program(1, program1, data),data:data});
  if(stack1 || stack1 === 0) { buffer += stack1; }
  buffer += "\n  <span class=\"connection\" data-id=\""
    + escapeExpression(((stack1 = ((stack1 = (depth0 && depth0.conn)),stack1 == null || stack1 === false ? stack1 : stack1.id)),typeof stack1 === functionType ? stack1.apply(depth0) : stack1))
    + "\">"
    + escapeExpression(((stack1 = ((stack1 = (depth0 && depth0.conn)),stack1 == null || stack1 === false ? stack1 : stack1.title)),typeof stack1 === functionType ? stack1.apply(depth0) : stack1))
    + "</span>\n  ";
  stack1 = helpers['if'].call(depth0, ((stack1 = (depth0 && depth0.conn)),stack1 == null || stack1 === false ? stack1 : stack1.is_owner), {hash:{},inverse:self.noop,fn:self.program(3, program3, data),data:data});
  if(stack1 || stack1 === 0) { buffer += stack1; }
  buffer += "\n</a>";
  return buffer;
  });

this["Templates"]["connections"] = Handlebars.template(function (Handlebars,depth0,helpers,partials,data) {
  this.compilerInfo = [4,'>= 1.0.0'];
helpers = this.merge(helpers, Handlebars.helpers); data = data || {};
  


  return "<ul class=\"nav nav-tabs connections\">\n    <li class=\"logo-wrapper action-tab\">\n        <a class=\"logo\"><img src=\"/assets/img/sensei-logo-interface.png\" alt=\"Datazen Logo\"/></a>\n    </li>\n    <li class=\"action-tab more-tab btn-group dropdown\">\n        <a class=\"dropdown-toggle\" data-toggle=\"dropdown\">\n            More <span class=\"caret\"></span>\n        </a>\n        <ul class=\"dropdown-menu\" role=\"menu\"></ul>\n    </li>\n    <li class=\"action-tab create-new-connection-tab\">\n        <a href=\"#/content/filter/table/0\" class=\"create-new-connection\">\n            <span class=\"glyphicon glyphicon-plus\"></span>\n        </a>\n    </li>\n\n    <li class=\"pull-right action-tab dropdown user-menu\">\n        <a class=\"dropdown-toggle\" data-toggle=\"dropdown\" href=\"#\" role=\"button\" aria-expanded=\"false\">\n            <span class=\"user-menu-label\">User</span>\n            <span class=\"caret\"></span>\n        </a>\n        <ul class=\"dropdown-menu\" role=\"menu\">\n            <li class=\"admin-item\"><a href=\"#/team\">Team</a></li>\n            <li><a href=\"#/account\">Account</a></li>\n            <li>\n              <a href=\"https://datazenit.com/guide\" target=\"_blank\">\n                Guide\n              </a>\n            </li>\n            <li>\n                <a href=\"/logout\">\n                    Logout\n                    <span class=\"glyphicon glyphicon-log-out\"></span>\n                </a>\n            </li>\n            <!--<li class=\"divider\"></li>-->\n            <!--<li class=\"expires_at\"><a>License expires at May 18</a></li>-->\n        </ul>\n    </li>\n    <li class=\"pull-right action-tab feedback-menu\">\n        <a href=\"javascript:void(0)\">\n            Feedback\n        </a>\n    </li>\n</ul>\n\n<!-- feedback modal -->\n<div class=\"modal feedback-modal\" tabindex=\"-1\" role=\"dialog\">\n    <div class=\"modal-dialog\">\n        <div class=\"modal-content\">\n            <form action=\"\" method=\"post\">\n                <div class=\"modal-header\">\n                    <h4>Send feedback</h4>\n                </div>\n                <div class=\"modal-body\">\n                    <div class=\"alert alert-success success-msg\" style=\"display:none;\">\n                        Thank you! We have received your feedback.\n                    </div>\n                    <fieldset>\n                        <div class=\"form-group\">\n                            <label for=\"db-name\">Feedback</label>\n                            <textarea required name=\"body\" id=\"feedback-body\" rows=\"5\" class=\"form-control\"\n                                      placeholder=\"Enter your feedback, bug report or feature request.\"></textarea>\n                        </div>\n                        <p class=\"help-block\">You can also\n                            visit <a href=\"https://community.datazenit.com/\" target=\"_blank\">Datazenit Community Forum</a> or just\n                            <a href=\"mailto:sensei@datazenit.com\">send us an email</a> to get in touch.</p>\n                    </fieldset>\n                </div>\n                <div class=\"modal-footer\">\n                    <button type=\"button\" class=\"btn btn-default\" data-dismiss=\"modal\">Close</button>\n                    <button class=\"btn btn-primary btn-send\">Send</button>\n                </div>\n            </form>\n        </div>\n    </div>\n</div>\n";
  });

this["Templates"]["content/body"] = Handlebars.template(function (Handlebars,depth0,helpers,partials,data) {
  this.compilerInfo = [4,'>= 1.0.0'];
helpers = this.merge(helpers, Handlebars.helpers); data = data || {};
  


  return "\n<div class=\"tab-bar main-tab-bar connections-bar\"></div>\n\n<div class=\"main-wrapper\">\n\n    <!--<div class=\"edit-connection-wrapper\"></div>-->\n    <!--<div class=\"new-connection-wrapper\"></div>-->\n\n    <div class=\"float-wrapper\">\n        <div class=\"sidebar\"></div>\n\n        <div class=\"main-content\">\n\n            <div class=\"query-panel\"></div>\n\n            <div class=\"output-panel\"></div>\n\n            <div class=\"builder-panel\"></div>\n\n        </div>\n    </div>\n</div>\n\n\n<div class=\"overlay-wrapper\"></div>\n\n<div class=\"modal edit-connection-modal\" tabindex=\"-1\" role=\"dialog\">\n    <div class=\"modal-dialog\">\n        <div class=\"modal-content\">\n            <!--<form action=\"\" method=\"post\">-->\n                <!--<div class=\"modal-header\">-->\n                    <!--<h4>Edit connection</h4>-->\n                <!--</div>-->\n                <!--<div class=\"modal-body\">-->\n                    <!--<fieldset>-->\n                        <!--<div class=\"form-group\">-->\n                            <!--<label for=\"db-name\">Database name</label>-->\n                            <!--<input type=\"text\" id=\"db-name\" name=\"title\" class=\"form-control\">-->\n                        <!--</div>-->\n                    <!--</fieldset>-->\n                <!--</div>-->\n                <!--<div class=\"modal-footer\">-->\n                    <!--<button class=\"btn btn-primary\">Create</button>-->\n                <!--</div>-->\n            <!--</form>-->\n        </div>\n    </div>\n</div>";
  });

this["Templates"]["content/output"] = Handlebars.template(function (Handlebars,depth0,helpers,partials,data) {
  this.compilerInfo = [4,'>= 1.0.0'];
helpers = this.merge(helpers, Handlebars.helpers); data = data || {};
  


  return "<div class=\"btn-group content-menu content-menu-query\">\n    <button type=\"button\" class=\"btn\" data-mode=\"table\">Content</button>\n    <button type=\"button\" class=\"btn\" data-mode=\"viz\">Visualization</button>\n</div>\n<div class=\"panel panel-default\">\n    <div class=\"panel-body\">\n        <div class=\"inner-body query-content\"></div>\n    </div>\n    <div class=\"loading-overlay\"></div>\n</div>\n";
  });

this["Templates"]["content/output/table"] = Handlebars.template(function (Handlebars,depth0,helpers,partials,data) {
  this.compilerInfo = [4,'>= 1.0.0'];
helpers = this.merge(helpers, Handlebars.helpers); data = data || {};
  


  return "<div class=\"sensei-grid\"></div>\n<!--<div class=\"sensei-grid-toolbar\">-->\n  <!--<button class=\"btn btn-xs btn-white remove\" disabled=\"disabled\">Delete</button>-->\n  <!--<span class=\"toolbar-label\">Rows returned: <span class=\"returned-row-count\">0</span></span>-->\n  <!--<span class=\"toolbar-label \">Rows selected: <span class=\"selected-row-count\">0</span></span>-->\n\n\n  <!--&lt;!&ndash;<span class=\"label label-success\">Success</span>&ndash;&gt;-->\n  <!--&lt;!&ndash;<span class=\"toolbar-label\">Selected rows</span>&ndash;&gt;-->\n\n  <!--&lt;!&ndash;<button disabled=\"disabled\" class=\"btn btn-xs btn-danger remove\">&ndash;&gt;-->\n    <!--&lt;!&ndash;<span class=\"glyphicon glyphicon-remove\"></span>&ndash;&gt;-->\n    <!--&lt;!&ndash;Delete&ndash;&gt;-->\n  <!--&lt;!&ndash;</button>&ndash;&gt;-->\n\n  <!--&lt;!&ndash;<button disabled=\"disabled\" class=\"btn btn-xs btn-default duplicate\">&ndash;&gt;-->\n    <!--&lt;!&ndash;<span class=\"glyphicon glyphicon-clone\"></span>&ndash;&gt;-->\n    <!--&lt;!&ndash;Duplicate&ndash;&gt;-->\n  <!--&lt;!&ndash;</button>&ndash;&gt;-->\n\n  <!--&lt;!&ndash;<button disabled=\"disabled\" class=\"btn btn-xs btn-default remove\">&ndash;&gt;-->\n    <!--&lt;!&ndash;Copy to clipboard&ndash;&gt;-->\n  <!--&lt;!&ndash;</button>&ndash;&gt;-->\n\n  <!--&lt;!&ndash;<span class=\"toolbar-label\">|</span>&ndash;&gt;-->\n  <!--&lt;!&ndash;<button class=\"btn btn-xs btn-default\">&ndash;&gt;-->\n    <!--&lt;!&ndash;Create new row&ndash;&gt;-->\n  <!--&lt;!&ndash;</button>&ndash;&gt;-->\n  <!--&lt;!&ndash;<span class=\"toolbar-label\">Actions:</span>&ndash;&gt;-->\n<!--</div>-->";
  });

this["Templates"]["content/output/table_toolbar"] = Handlebars.template(function (Handlebars,depth0,helpers,partials,data) {
  this.compilerInfo = [4,'>= 1.0.0'];
helpers = this.merge(helpers, Handlebars.helpers); data = data || {};
  var buffer = "", stack1, helper, functionType="function", escapeExpression=this.escapeExpression;


  buffer += "<a class=\"btn btn-xs btn-white disabled remove\">Delete</a>\n<span class=\"toolbar-label\">Rows returned: <span class=\"returned-row-count\">";
  if (helper = helpers.count) { stack1 = helper.call(depth0, {hash:{},data:data}); }
  else { helper = (depth0 && depth0.count); stack1 = typeof helper === functionType ? helper.call(depth0, {hash:{},data:data}) : helper; }
  buffer += escapeExpression(stack1)
    + "</span></span>\n<span class=\"toolbar-label \">Rows selected: <span class=\"selected-row-count\">0</span></span>\n<span class=\"toolbar-label tip-label pull-right\"></span>\n<div class=\"clearfix\"></div>";
  return buffer;
  });

this["Templates"]["content/output/viz"] = Handlebars.template(function (Handlebars,depth0,helpers,partials,data) {
  this.compilerInfo = [4,'>= 1.0.0'];
helpers = this.merge(helpers, Handlebars.helpers); data = data || {};
  


  return "<div class=\"row\">\n    <div id=\"chart\" class=\"chart\"></div>\n    <div class=\"chart-settings\"></div>\n</div>\n";
  });

this["Templates"]["content/output/viz/chart_list_item"] = Handlebars.template(function (Handlebars,depth0,helpers,partials,data) {
  this.compilerInfo = [4,'>= 1.0.0'];
helpers = this.merge(helpers, Handlebars.helpers); data = data || {};
  var buffer = "", stack1, helper, functionType="function", escapeExpression=this.escapeExpression;


  buffer += "<a data-id=\"";
  if (helper = helpers.id) { stack1 = helper.call(depth0, {hash:{},data:data}); }
  else { helper = (depth0 && depth0.id); stack1 = typeof helper === functionType ? helper.call(depth0, {hash:{},data:data}) : helper; }
  buffer += escapeExpression(stack1)
    + "\" title=\"";
  if (helper = helpers.title) { stack1 = helper.call(depth0, {hash:{},data:data}); }
  else { helper = (depth0 && depth0.title); stack1 = typeof helper === functionType ? helper.call(depth0, {hash:{},data:data}) : helper; }
  buffer += escapeExpression(stack1)
    + "\">\n    <span class=\"chart-item-title\">\n	    ";
  if (helper = helpers.title) { stack1 = helper.call(depth0, {hash:{},data:data}); }
  else { helper = (depth0 && depth0.title); stack1 = typeof helper === functionType ? helper.call(depth0, {hash:{},data:data}) : helper; }
  buffer += escapeExpression(stack1)
    + "\n    </span>\n    <br>\n    <span class=\"text-muted\" title=\"";
  if (helper = helpers.query) { stack1 = helper.call(depth0, {hash:{},data:data}); }
  else { helper = (depth0 && depth0.query); stack1 = typeof helper === functionType ? helper.call(depth0, {hash:{},data:data}) : helper; }
  buffer += escapeExpression(stack1)
    + "\">";
  if (helper = helpers.query) { stack1 = helper.call(depth0, {hash:{},data:data}); }
  else { helper = (depth0 && depth0.query); stack1 = typeof helper === functionType ? helper.call(depth0, {hash:{},data:data}) : helper; }
  buffer += escapeExpression(stack1)
    + "</span>\n</a>\n";
  return buffer;
  });

this["Templates"]["content/output/viz/error"] = Handlebars.template(function (Handlebars,depth0,helpers,partials,data) {
  this.compilerInfo = [4,'>= 1.0.0'];
helpers = this.merge(helpers, Handlebars.helpers); data = data || {};
  var buffer = "", stack1, helper, functionType="function", escapeExpression=this.escapeExpression;


  buffer += "<div class=\"alert alert-info\">";
  if (helper = helpers.error) { stack1 = helper.call(depth0, {hash:{},data:data}); }
  else { helper = (depth0 && depth0.error); stack1 = typeof helper === functionType ? helper.call(depth0, {hash:{},data:data}) : helper; }
  buffer += escapeExpression(stack1)
    + "</div>";
  return buffer;
  });

this["Templates"]["content/output/viz/settings"] = Handlebars.template(function (Handlebars,depth0,helpers,partials,data) {
  this.compilerInfo = [4,'>= 1.0.0'];
helpers = this.merge(helpers, Handlebars.helpers); data = data || {};
  var buffer = "", stack1, functionType="function", escapeExpression=this.escapeExpression, self=this;

function program1(depth0,data) {
  
  var buffer = "";
  buffer += "\n        <button data-mode=\""
    + escapeExpression((typeof depth0 === functionType ? depth0.apply(depth0) : depth0))
    + "\" class=\"btn btn-default\">"
    + escapeExpression((typeof depth0 === functionType ? depth0.apply(depth0) : depth0))
    + "</button>\n      ";
  return buffer;
  }

  buffer += "<div class=\"well\" id=\"chart-settings-general\">\n\n  <div class=\"form-group\">\n    <label for=\"chartTitle\">Chart title</label>\n    <input type=\"text\" id=\"chartTitle\" class=\"form-control chartTitle\" data-setting=\"Title\"\n           placeholder=\"Untitled chart\">\n  </div>\n\n  <div class=\"form-group\">\n    <label>Chart type</label>\n\n    <div class=\"chart-modes\">\n      ";
  stack1 = helpers.each.call(depth0, (depth0 && depth0.chartModes), {hash:{},inverse:self.noop,fn:self.program(1, program1, data),data:data});
  if(stack1 || stack1 === 0) { buffer += stack1; }
  buffer += "\n    </div>\n  </div>\n\n  <div class=\"form-group\">\n    <label for=\"form[xaxis]\">X axis</label>\n    <select name=\"xaxis\" id=\"form[xaxis]\" class=\"form-control\"></select>\n  </div>\n\n  <div class=\"checkbox-group\">\n    <label class=\"checkbox-inline\">\n      <input type=\"checkbox\" class=\"chart-show-legend\" checked> Show legend\n    </label>\n  </div>\n\n  <p><b>Sharing settings</b></p>\n\n  <div class=\"checkbox-group\">\n    <label class=\"checkbox-inline\">\n      <input type=\"checkbox\" name=\"team_shared\" value=\"true\"> Share to all team members\n    </label>\n    <label class=\"checkbox-inline\">\n      <input type=\"checkbox\" name=\"public\" value=\"true\"> Embeddable – public access\n    </label>\n  </div>\n\n  <div class=\"form-group embed-url-wrapper\" style=\"display:none;\">\n    <label for=\"embed_url\">Embed URL</label>\n    <input class=\"form-control embed-url\" id=\"embed_url\" name=\"embed_url\" type=\"text\" readonly>\n  </div>\n\n  <button type=\"submit\" class=\"btn btn-primary save-chart\">Save</button>\n\n  <div class=\"btn-group load-chart\">\n    <button class=\"btn btn-default dropdown-toggle\" data-toggle=\"dropdown\">\n      Load\n      <span class=\"caret\"></span>\n    </button>\n    <ul class=\"dropdown-menu\" role=\"menu\"></ul>\n  </div>\n\n</div>";
  return buffer;
  });

this["Templates"]["content/query"] = Handlebars.template(function (Handlebars,depth0,helpers,partials,data) {
  this.compilerInfo = [4,'>= 1.0.0'];
helpers = this.merge(helpers, Handlebars.helpers); data = data || {};
  


  return "<div class=\"panel-row content-menu\">\n    <div class=\"panel-col\">\n        <div class=\"btn-group query-mode-nav\">\n            <button class=\"btn\" data-mode=\"filter\">Filter</button>\n            <button class=\"btn\" data-mode=\"raw\">Query</button>\n            <button class=\"btn\" data-mode=\"structure\">Schema</button>\n            <button class=\"btn\" data-mode=\"backups\">Backups</button>\n        </div>\n    </div>\n</div>\n<div class=\"panel panel-default\">\n    <div class=\"panel-body editor-panel\">\n        <div class=\"tab-content\"></div>\n    </div>\n</div>\n";
  });

this["Templates"]["content/query/filter"] = Handlebars.template(function (Handlebars,depth0,helpers,partials,data) {
  this.compilerInfo = [4,'>= 1.0.0'];
helpers = this.merge(helpers, Handlebars.helpers); data = data || {};
  


  return "<form class=\"filter-form\">\n    <div class=\"inner-body\">\n        <div class=\"alert alert-danger query-error ninja\">\n            <b>Error:</b> <span class=\"error-text\">Unknown Error</span>.\n        </div>\n\n        <div class=\"filter\">\n            <div class=\"row\">\n                <div class=\"filter-label\">Select</div>\n\n                <div class=\"filter-form form-inline\">\n                    <input name=\"columns\" type=\"text\" class=\"form-control filter-control-large\" placeholder=\"Columns\">\n\n                    <div class=\"clearfix\"></div>\n                </div>\n\n                <div class=\"filter-label filter-label-inline\">From</div>\n\n                <div class=\"filter-form form-inline\">\n                    <select class=\"form-control filter-control-large\" name=\"table\"></select>\n                </div>\n            </div>\n            <div class=\"row\">\n                <div class=\"filter-label\">Limit</div>\n                <div class=\"filter-form form-inline\">\n                    <input name=\"limit\" class=\"form-control filter-control-medium\" type=\"text\" value=\"20\"/>\n                </div>\n                <div class=\"filter-label filter-label-inline\">Offset</div>\n\n                <div class=\"filter-form form-inline\">\n                    <input name=\"offset\" type=\"text\" class=\"form-control filter-control-medium\" value=\"0\">\n                </div>\n            </div>\n        </div>\n    </div>\n    <div class=\"actions\">\n        <div class=\"pull-left filter-buttons\">\n            <div class=\"filter-label\">Add</div>\n            <div class=\"pull-left\">\n                <button class=\"btn btn-default add-condition\" type=\"button\">Condition</button>\n                <button class=\"btn btn-default add-sorting\" type=\"button\">Sorting</button>\n            </div>\n        </div>\n        <div class=\"pull-right\">\n            <span class=\"extra-wrapper\" style=\"display:inline-block;\"></span>\n            <button type=\"submit\" class=\"btn btn-primary execute-query\">Execute</button>\n        </div>\n    </div>\n</form>\n";
  });

this["Templates"]["content/query/filter/condition"] = Handlebars.template(function (Handlebars,depth0,helpers,partials,data) {
  this.compilerInfo = [4,'>= 1.0.0'];
helpers = this.merge(helpers, Handlebars.helpers); data = data || {};
  var buffer = "", stack1, functionType="function", escapeExpression=this.escapeExpression, self=this;

function program1(depth0,data) {
  
  var buffer = "";
  buffer += "\n      <option>"
    + escapeExpression((typeof depth0 === functionType ? depth0.apply(depth0) : depth0))
    + "</option>\n    ";
  return buffer;
  }

  buffer += "<div class=\"filter-label\">Condition</div>\n<div class=\"filter-btn-group\">\n  <button class=\"btn btn-default btn-sm remove\" type=\"button\">\n    <span class=\"glyphicon glyphicon-remove\"></span>\n  </button>\n</div>\n<div class=\"filter-form form-inline\">\n\n  <select class=\"form-control\" name=\"column\">\n    ";
  stack1 = helpers.each.call(depth0, (depth0 && depth0.columns), {hash:{},inverse:self.noop,fn:self.program(1, program1, data),data:data});
  if(stack1 || stack1 === 0) { buffer += stack1; }
  buffer += "\n  </select>\n\n  <select name=\"operator\" class=\"form-control\" style=\"width:90px;\">\n    <option value=\"=\">=</option>\n    <option value=\"!=\">!=</option>\n    <option value=\"&gt;\">&gt;</option>\n    <option value=\"&lt;\">&lt;</option>\n    <option value=\"&gt;=\">&gt;=</option>\n    <option value=\"&lt;=\">&lt;=</option>\n    <option value=\"like\">LIKE</option>\n    <option value=\"is null\">IS NULL</option>\n    <option value=\"is not null\">IS NOT NULL</option>\n  </select>\n\n  <input name=\"value\" type=\"text\" class=\"form-control filter-control-large\"\n         placeholder=\"value\" value=\""
    + escapeExpression(((stack1 = ((stack1 = (depth0 && depth0.model)),stack1 == null || stack1 === false ? stack1 : stack1.value)),typeof stack1 === functionType ? stack1.apply(depth0) : stack1))
    + "\">\n\n  <div class=\"clearfix\"></div>\n</div>\n<div class=\"clearfix\"></div>";
  return buffer;
  });

this["Templates"]["content/query/filter/sorting"] = Handlebars.template(function (Handlebars,depth0,helpers,partials,data) {
  this.compilerInfo = [4,'>= 1.0.0'];
helpers = this.merge(helpers, Handlebars.helpers); data = data || {};
  var buffer = "", stack1, functionType="function", escapeExpression=this.escapeExpression, self=this, helperMissing=helpers.helperMissing;

function program1(depth0,data,depth1) {
  
  var buffer = "", stack1, helper, options;
  buffer += "\n      <option value=\""
    + escapeExpression((typeof depth0 === functionType ? depth0.apply(depth0) : depth0))
    + "\" ";
  stack1 = (helper = helpers.ifthis || (depth1 && depth1.ifthis),options={hash:{},inverse:self.noop,fn:self.program(2, program2, data),data:data},helper ? helper.call(depth0, ((stack1 = (depth1 && depth1.model)),stack1 == null || stack1 === false ? stack1 : stack1.column), options) : helperMissing.call(depth0, "ifthis", ((stack1 = (depth1 && depth1.model)),stack1 == null || stack1 === false ? stack1 : stack1.column), options));
  if(stack1 || stack1 === 0) { buffer += stack1; }
  buffer += ">"
    + escapeExpression((typeof depth0 === functionType ? depth0.apply(depth0) : depth0))
    + "</option>\n    ";
  return buffer;
  }
function program2(depth0,data) {
  
  
  return "selected=\"selected\"";
  }

function program4(depth0,data,depth1) {
  
  var buffer = "", stack1, helper, options;
  buffer += "\n      <option value=\""
    + escapeExpression((typeof depth0 === functionType ? depth0.apply(depth0) : depth0))
    + "\" ";
  stack1 = (helper = helpers.ifthis || (depth1 && depth1.ifthis),options={hash:{},inverse:self.noop,fn:self.program(2, program2, data),data:data},helper ? helper.call(depth0, ((stack1 = (depth1 && depth1.model)),stack1 == null || stack1 === false ? stack1 : stack1.order), options) : helperMissing.call(depth0, "ifthis", ((stack1 = (depth1 && depth1.model)),stack1 == null || stack1 === false ? stack1 : stack1.order), options));
  if(stack1 || stack1 === 0) { buffer += stack1; }
  buffer += ">"
    + escapeExpression((typeof depth0 === functionType ? depth0.apply(depth0) : depth0))
    + "</option>\n    ";
  return buffer;
  }

  buffer += "<div class=\"filter-label\">Sorting</div>\n<div class=\"filter-btn-group\">\n  <button class=\"btn btn-default btn-sm remove\" type=\"button\">\n    <span class=\"glyphicon glyphicon-remove\"></span>\n  </button>\n</div>\n<div class=\"filter-form form-inline\">\n\n  <select class=\"form-control\" name=\"column\">\n    ";
  stack1 = helpers.each.call(depth0, (depth0 && depth0.columns), {hash:{},inverse:self.noop,fn:self.programWithDepth(1, program1, data, depth0),data:data});
  if(stack1 || stack1 === 0) { buffer += stack1; }
  buffer += "\n  </select>\n\n  <select name=\"order\" class=\"form-control\" style=\"width:70px;\">\n    ";
  stack1 = helpers.each.call(depth0, (depth0 && depth0.orders), {hash:{},inverse:self.noop,fn:self.programWithDepth(4, program4, data, depth0),data:data});
  if(stack1 || stack1 === 0) { buffer += stack1; }
  buffer += "\n  </select>\n\n  <div class=\"clearfix\"></div>\n</div>\n<div class=\"clearfix\"></div>";
  return buffer;
  });

this["Templates"]["content/query/history/item"] = Handlebars.template(function (Handlebars,depth0,helpers,partials,data) {
  this.compilerInfo = [4,'>= 1.0.0'];
helpers = this.merge(helpers, Handlebars.helpers); data = data || {};
  var buffer = "", stack1, functionType="function", escapeExpression=this.escapeExpression, self=this;

function program1(depth0,data) {
  
  var buffer = "", stack1;
  buffer += "\n    ";
  stack1 = helpers['if'].call(depth0, ((stack1 = (depth0 && depth0.query)),stack1 == null || stack1 === false ? stack1 : stack1.name), {hash:{},inverse:self.program(4, program4, data),fn:self.program(2, program2, data),data:data});
  if(stack1 || stack1 === 0) { buffer += stack1; }
  buffer += "\n    ";
  stack1 = helpers['if'].call(depth0, ((stack1 = (depth0 && depth0.query)),stack1 == null || stack1 === false ? stack1 : stack1.team_shared), {hash:{},inverse:self.noop,fn:self.program(6, program6, data),data:data});
  if(stack1 || stack1 === 0) { buffer += stack1; }
  buffer += "\n    <br>\n  ";
  return buffer;
  }
function program2(depth0,data) {
  
  var buffer = "", stack1;
  buffer += "\n      <b>"
    + escapeExpression(((stack1 = ((stack1 = (depth0 && depth0.query)),stack1 == null || stack1 === false ? stack1 : stack1.name)),typeof stack1 === functionType ? stack1.apply(depth0) : stack1))
    + "</b>\n    ";
  return buffer;
  }

function program4(depth0,data) {
  
  
  return "\n      <b>Untitled query</b>\n    ";
  }

function program6(depth0,data) {
  
  
  return "\n      (Shared)\n    ";
  }

  buffer += "<a href=\"javascript:void(0)\" data-toggle=\"tooltip\" data-placement=\"left\"\n  title=\""
    + escapeExpression(((stack1 = ((stack1 = (depth0 && depth0.query)),stack1 == null || stack1 === false ? stack1 : stack1.query)),typeof stack1 === functionType ? stack1.apply(depth0) : stack1))
    + "\">\n  ";
  stack1 = helpers['if'].call(depth0, ((stack1 = (depth0 && depth0.query)),stack1 == null || stack1 === false ? stack1 : stack1.is_favorite), {hash:{},inverse:self.noop,fn:self.program(1, program1, data),data:data});
  if(stack1 || stack1 === 0) { buffer += stack1; }
  buffer += "\n  "
    + escapeExpression(((stack1 = ((stack1 = (depth0 && depth0.query)),stack1 == null || stack1 === false ? stack1 : stack1.query)),typeof stack1 === functionType ? stack1.apply(depth0) : stack1))
    + "\n</a>\n";
  return buffer;
  });

this["Templates"]["content/query/history/list"] = Handlebars.template(function (Handlebars,depth0,helpers,partials,data) {
  this.compilerInfo = [4,'>= 1.0.0'];
helpers = this.merge(helpers, Handlebars.helpers); data = data || {};
  


  return "<div class=\"btn-group history-btn\">\n  <button type=\"button\" class=\"btn btn-default dropdown-toggle\" data-toggle=\"dropdown\" aria-haspopup=\"true\"\n          aria-expanded=\"false\">\n    History <span class=\"caret\"></span>\n  </button>\n  <ul class=\"dropdown-menu pull-right query-history\">\n    <li class=\"dropdown-header\">Recent Queries</li>\n  </ul>\n</div>\n<div class=\"btn-group favorites-btn\">\n  <button type=\"button\" class=\"btn btn-default dropdown-toggle\" data-toggle=\"dropdown\" aria-haspopup=\"true\"\n          aria-expanded=\"false\">\n    Favorites <span class=\"caret\"></span>\n  </button>\n  <ul class=\"dropdown-menu pull-right favorite-queries\">\n    <li class=\"dropdown-header\">Favorites</li>\n  </ul>\n</div>\n<button type=\"button\" class=\"btn btn-default save-favorite\">Save</button>\n<button type=\"button\" class=\"btn btn-default export-query\">Export</button>\n\n\n<!-- Export modal -->\n<div class=\"modal export-modal\" tabindex=\"-1\" role=\"dialog\">\n  <div class=\"modal-dialog\">\n    <div class=\"modal-content\">\n      <form action=\"\" method=\"post\">\n        <div class=\"modal-header\">\n          <button type=\"button\" class=\"close\" data-dismiss=\"modal\" aria-label=\"Close\">\n            <span aria-hidden=\"true\">&times;</span>\n          </button>\n          <h4>Export query results as CSV file</h4>\n        </div>\n        <div class=\"modal-body\">\n          <fieldset>\n            <div class=\"help-block\">\n              <b>Options</b><br>\n              No additional options are available.\n            </div>\n            <div class=\"help-block\">\n              <b>Query</b><br>\n              <span class=\"query-wrapper\">none</span>\n            </div>\n          </fieldset>\n        </div>\n        <div class=\"modal-footer\">\n          <button type=\"button\" class=\"btn btn-default\" data-dismiss=\"modal\">Cancel</button>\n          <button class=\"btn btn-primary\">Export CSV file</button>\n        </div>\n      </form>\n    </div>\n  </div>\n</div>\n\n<!-- Favorite modal -->\n<div class=\"modal save-favorite-modal\" tabindex=\"-1\" role=\"dialog\">\n  <div class=\"modal-dialog\">\n    <div class=\"modal-content\">\n      <form action=\"\" method=\"post\">\n        <div class=\"modal-header\">\n          <button type=\"button\" class=\"close\" data-dismiss=\"modal\" aria-label=\"Close\"><span\n              aria-hidden=\"true\">&times;</span></button>\n          <h4>Save query to favorites</h4>\n        </div>\n        <div class=\"modal-body\">\n          <fieldset>\n            <div class=\"form-group\">\n              <label for=\"query-name\">Query name</label>\n              <input type=\"text\" id=\"query-name\" name=\"name\"\n                     placeholder=\"E.g., Report for last quarter\"\n                     class=\"form-control\">\n            </div>\n            <div class=\"checkbox\">\n              <label for=\"team_shared\">\n                <input type=\"checkbox\" id=\"team_shared\" name=\"team_shared\">\n                Shared with team members\n              </label>\n            </div>\n          </fieldset>\n        </div>\n        <div class=\"modal-footer\">\n          <button class=\"btn btn-primary\">Save</button>\n        </div>\n      </form>\n    </div>\n  </div>\n</div>\n";
  });

this["Templates"]["content/query/raw"] = Handlebars.template(function (Handlebars,depth0,helpers,partials,data) {
  this.compilerInfo = [4,'>= 1.0.0'];
helpers = this.merge(helpers, Handlebars.helpers); data = data || {};
  


  return "<div class=\"inner-body\">\n    <div class=\"alert alert-danger query-error ninja\">\n        <b>Error:</b> <span class=\"error-text\">Unknown Error</span>.\n    </div>\n    <div id=\"editor\" class=\"editor\"></div>\n</div>\n<div class=\"actions\">\n    <div class=\"pull-left\">\n        <div class=\"checkbox\">\n            <label>\n                <input class=\"run-selection\" type=\"checkbox\" name=\"run_selection\" title=\"If this option is checked and\n                a text selection is made in the raw query editor, only the selection will be executed.\" checked>\n                Run selections separately\n            </label>\n        </div>\n    </div>\n    <div class=\"pull-right\">\n        <div class=\"extra-wrapper\">\n\n        </div>\n        <button class=\"btn btn-primary execute-query\" type=\"button\">Execute</button>\n    </div>\n</div>\n";
  });

this["Templates"]["editconnection"] = Handlebars.template(function (Handlebars,depth0,helpers,partials,data) {
  this.compilerInfo = [4,'>= 1.0.0'];
helpers = this.merge(helpers, Handlebars.helpers); data = data || {};
  var buffer = "", stack1, helper, options, self=this, helperMissing=helpers.helperMissing, escapeExpression=this.escapeExpression, functionType="function";

function program1(depth0,data) {
  
  var buffer = "", stack1;
  buffer += "\n  <div class=\"overlay";
  stack1 = helpers['if'].call(depth0, (depth0 && depth0.title), {hash:{},inverse:self.noop,fn:self.program(2, program2, data),data:data});
  if(stack1 || stack1 === 0) { buffer += stack1; }
  buffer += "\">\n  <div class=\"new-connection\">\n";
  return buffer;
  }
function program2(depth0,data) {
  
  
  return " edit-connection-form";
  }

function program4(depth0,data) {
  
  
  return "\n      <div class=\"modal-header\">\n        <h4>Edit connection</h4>\n      </div>\n    ";
  }

function program6(depth0,data) {
  
  var buffer = "", stack1;
  buffer += "\n      <h2>";
  stack1 = helpers['if'].call(depth0, (depth0 && depth0.title), {hash:{},inverse:self.program(9, program9, data),fn:self.program(7, program7, data),data:data});
  if(stack1 || stack1 === 0) { buffer += stack1; }
  buffer += "</h2>\n    ";
  return buffer;
  }
function program7(depth0,data) {
  
  
  return "Edit connection";
  }

function program9(depth0,data) {
  
  
  return "Create connection";
  }

function program11(depth0,data) {
  
  
  return "\n    <div class=\"modal-body\">\n    ";
  }

function program13(depth0,data) {
  
  
  return "\n      <p class=\"help-block error\">\n        <b>Connection Failed.</b> Unable to connect to this database server, please edit connection settings.\n      </p>\n    ";
  }

function program15(depth0,data) {
  
  
  return " selected=\"selected\"";
  }

function program17(depth0,data) {
  
  
  return " checked";
  }

function program19(depth0,data) {
  
  
  return "\n    </div>\n    <div class=\"modal-footer\">\n    ";
  }

function program21(depth0,data) {
  
  
  return "\n      <button type=\"submit\" class=\"btn btn-primary connect-btn\">Save</button>\n      <button type=\"button\" class=\"btn btn-default close-btn\">Close</button>\n    ";
  }

function program23(depth0,data) {
  
  
  return "\n      <button type=\"submit\" class=\"btn btn-primary connect-btn\">Connect</button>\n    ";
  }

function program25(depth0,data) {
  
  
  return "\n    </div>\n    ";
  }

function program27(depth0,data) {
  
  
  return "\n  </div>\n  </div>\n";
  }

  stack1 = helpers.unless.call(depth0, (depth0 && depth0.modal), {hash:{},inverse:self.noop,fn:self.program(1, program1, data),data:data});
  if(stack1 || stack1 === 0) { buffer += stack1; }
  buffer += "\n\n  <form role=\"form\" autocomplete=\"off\" method=\"post\">\n    ";
  stack1 = helpers['if'].call(depth0, (depth0 && depth0.modal), {hash:{},inverse:self.program(6, program6, data),fn:self.program(4, program4, data),data:data});
  if(stack1 || stack1 === 0) { buffer += stack1; }
  buffer += "\n\n    ";
  stack1 = helpers['if'].call(depth0, (depth0 && depth0.modal), {hash:{},inverse:self.noop,fn:self.program(11, program11, data),data:data});
  if(stack1 || stack1 === 0) { buffer += stack1; }
  buffer += "\n\n    ";
  stack1 = helpers['if'].call(depth0, (depth0 && depth0.showConnectionError), {hash:{},inverse:self.noop,fn:self.program(13, program13, data),data:data});
  if(stack1 || stack1 === 0) { buffer += stack1; }
  buffer += "\n\n    <!-- workaround to prevent user/pass autocomplete -->\n    <input type=\"text\" style=\"display:none;\">\n    <input type=\"password\" style=\"display:none;\">\n\n    <div class=\"form-group\">\n      <label for=\"field_type\">Type</label>\n      <select class=\"form-control\" name=\"driver\" id=\"field_type\">\n        "
    + escapeExpression((helper = helpers.drivers || (depth0 && depth0.drivers),options={hash:{},data:data},helper ? helper.call(depth0, (depth0 && depth0.driver), options) : helperMissing.call(depth0, "drivers", (depth0 && depth0.driver), options)))
    + "\n      </select>\n    </div>\n\n    <div class=\"form-group\">\n      <label for=\"hostname\">Hostname</label>\n      <input type=\"text\" class=\"form-control\" name=\"hostname\" id=\"hostname\" placeholder=\"Hostname, e.g., localhost\"\n             value=\"";
  if (helper = helpers.hostname) { stack1 = helper.call(depth0, {hash:{},data:data}); }
  else { helper = (depth0 && depth0.hostname); stack1 = typeof helper === functionType ? helper.call(depth0, {hash:{},data:data}) : helper; }
  buffer += escapeExpression(stack1)
    + "\">\n    </div>\n\n    <div class=\"form-group\">\n      <label for=\"username\">Username</label>\n      <input type=\"text\" class=\"form-control\" name=\"username\" id=\"username\" placeholder=\"Username\"\n             value=\"";
  if (helper = helpers.username) { stack1 = helper.call(depth0, {hash:{},data:data}); }
  else { helper = (depth0 && depth0.username); stack1 = typeof helper === functionType ? helper.call(depth0, {hash:{},data:data}) : helper; }
  buffer += escapeExpression(stack1)
    + "\">\n    </div>\n\n    <div class=\"form-group\">\n      <label for=\"password\">Password</label>\n      <input type=\"password\" class=\"form-control\" name=\"password\" id=\"password\" placeholder=\"Password\"\n             value=\"\">\n    </div>\n    <div class=\"form-group\">\n      <label for=\"port\">Port</label>\n      <input type=\"text\" class=\"form-control\" name=\"port\" id=\"port\" placeholder=\"Port\" value=\"";
  if (helper = helpers.port) { stack1 = helper.call(depth0, {hash:{},data:data}); }
  else { helper = (depth0 && depth0.port); stack1 = typeof helper === functionType ? helper.call(depth0, {hash:{},data:data}) : helper; }
  buffer += escapeExpression(stack1)
    + "\">\n    </div>\n    <div class=\"form-group\">\n      <label for=\"database\">Default database (Required for PostgreSQL)</label>\n      <input type=\"text\" class=\"form-control\" name=\"db\" id=\"database\" placeholder=\"Default database\"\n             value=\"";
  if (helper = helpers.db) { stack1 = helper.call(depth0, {hash:{},data:data}); }
  else { helper = (depth0 && depth0.db); stack1 = typeof helper === functionType ? helper.call(depth0, {hash:{},data:data}) : helper; }
  buffer += escapeExpression(stack1)
    + "\">\n    </div>\n\n    <div class=\"form-group\">\n      <label for=\"title\">Title</label>\n      <input type=\"text\" class=\"form-control\" name=\"title\" id=\"title\"\n             placeholder=\"Connection title will be shown in the tab bar\"\n             value=\"";
  if (helper = helpers.title) { stack1 = helper.call(depth0, {hash:{},data:data}); }
  else { helper = (depth0 && depth0.title); stack1 = typeof helper === functionType ? helper.call(depth0, {hash:{},data:data}) : helper; }
  buffer += escapeExpression(stack1)
    + "\">\n    </div>\n\n    <div class=\"form-group\">\n      <label for=\"team_shared\">Sharing</label>\n      <select name=\"team_shared\" id=\"team_shared\" class=\"form-control\">\n        <option value=\"false\">\n          Private – available only to you\n        </option>\n        <option value=\"true\"";
  stack1 = helpers['if'].call(depth0, (depth0 && depth0.team_shared), {hash:{},inverse:self.noop,fn:self.program(15, program15, data),data:data});
  if(stack1 || stack1 === 0) { buffer += stack1; }
  buffer += ">\n          Shared – available to all team members\n        </option>\n      </select>\n    </div>\n\n    <div class=\"checkbox-group\">\n      <label class=\"checkbox-inline\">\n        <input type=\"checkbox\" name=\"ssl\"";
  stack1 = helpers['if'].call(depth0, (depth0 && depth0.ssl), {hash:{},inverse:self.noop,fn:self.program(17, program17, data),data:data});
  if(stack1 || stack1 === 0) { buffer += stack1; }
  buffer += " value=\"true\"> Enable SSL for this connection\n      </label>\n    </div>\n\n    ";
  stack1 = helpers['if'].call(depth0, (depth0 && depth0.modal), {hash:{},inverse:self.noop,fn:self.program(19, program19, data),data:data});
  if(stack1 || stack1 === 0) { buffer += stack1; }
  buffer += "\n\n    ";
  stack1 = helpers['if'].call(depth0, (depth0 && depth0.title), {hash:{},inverse:self.program(23, program23, data),fn:self.program(21, program21, data),data:data});
  if(stack1 || stack1 === 0) { buffer += stack1; }
  buffer += "\n\n    ";
  stack1 = helpers['if'].call(depth0, (depth0 && depth0.modal), {hash:{},inverse:self.noop,fn:self.program(25, program25, data),data:data});
  if(stack1 || stack1 === 0) { buffer += stack1; }
  buffer += "\n  </form>\n\n";
  stack1 = helpers.unless.call(depth0, (depth0 && depth0.modal), {hash:{},inverse:self.noop,fn:self.program(27, program27, data),data:data});
  if(stack1 || stack1 === 0) { buffer += stack1; }
  buffer += "\n";
  return buffer;
  });

this["Templates"]["embed"] = Handlebars.template(function (Handlebars,depth0,helpers,partials,data) {
  this.compilerInfo = [4,'>= 1.0.0'];
helpers = this.merge(helpers, Handlebars.helpers); data = data || {};
  


  return "<div class=\"chart\">\n  <div class=\"loading\">Loading chart...</div>\n</div>";
  });

this["Templates"]["helpers/drivers"] = Handlebars.template(function (Handlebars,depth0,helpers,partials,data) {
  this.compilerInfo = [4,'>= 1.0.0'];
helpers = this.merge(helpers, Handlebars.helpers); data = data || {};
  var stack1, functionType="function", escapeExpression=this.escapeExpression, self=this;

function program1(depth0,data) {
  
  var buffer = "", stack1, helper;
  buffer += "\n    <option value=\""
    + escapeExpression(((stack1 = (data == null || data === false ? data : data.key)),typeof stack1 === functionType ? stack1.apply(depth0) : stack1))
    + "\"";
  stack1 = helpers['if'].call(depth0, (depth0 && depth0.active), {hash:{},inverse:self.noop,fn:self.program(2, program2, data),data:data});
  if(stack1 || stack1 === 0) { buffer += stack1; }
  buffer += ">";
  if (helper = helpers.title) { stack1 = helper.call(depth0, {hash:{},data:data}); }
  else { helper = (depth0 && depth0.title); stack1 = typeof helper === functionType ? helper.call(depth0, {hash:{},data:data}) : helper; }
  buffer += escapeExpression(stack1)
    + "</option>\n";
  return buffer;
  }
function program2(depth0,data) {
  
  
  return " selected";
  }

  stack1 = helpers.each.call(depth0, (depth0 && depth0.drivers), {hash:{},inverse:self.noop,fn:self.program(1, program1, data),data:data});
  if(stack1 || stack1 === 0) { return stack1; }
  else { return ''; }
  });

this["Templates"]["schema/main"] = Handlebars.template(function (Handlebars,depth0,helpers,partials,data) {
  this.compilerInfo = [4,'>= 1.0.0'];
helpers = this.merge(helpers, Handlebars.helpers); data = data || {};
  var buffer = "", stack1, functionType="function", escapeExpression=this.escapeExpression, self=this;

function program1(depth0,data) {
  
  var buffer = "";
  buffer += "\n                    <option value=\""
    + escapeExpression((typeof depth0 === functionType ? depth0.apply(depth0) : depth0))
    + "\">"
    + escapeExpression((typeof depth0 === functionType ? depth0.apply(depth0) : depth0))
    + "</option>\n                ";
  return buffer;
  }

function program3(depth0,data) {
  
  var buffer = "";
  buffer += "\n                <option value=\""
    + escapeExpression((typeof depth0 === functionType ? depth0.apply(depth0) : depth0))
    + "\">"
    + escapeExpression((typeof depth0 === functionType ? depth0.apply(depth0) : depth0))
    + "</option>\n                ";
  return buffer;
  }

  buffer += "<div class=\"inner-body\">\n\n  <div class=\"alert alert-warning choose-table-placeholder\">You must choose table in the sidebar in order to see the table structure.</div>\n\n  <div class=\"schema-content\">\n\n    <div class=\"btn-group inner-menu\">\n      <button class=\"btn btn-default\" data-view=\"structure\">Structure</button>\n      <button class=\"btn btn-default\" data-view=\"index\">Indexes</button>\n      <button class=\"btn btn-default\" data-view=\"foreignkey\">Foreign Keys</button>\n      <button class=\"btn btn-default\" data-view=\"trigger\">Triggers</button>\n    </div>\n\n    <div class=\"schema-actions pull-right\">\n      <div class=\"action-group\" data-view=\"index\">\n        <button class=\"btn btn-primary create-index\">Create index</button>\n      </div>\n      <div class=\"action-group\" data-view=\"foreignkey\">\n        <button class=\"btn btn-primary create-fk\">Create foreign key</button>\n      </div>\n    </div>\n\n    <div class=\"clearfix\"></div>\n\n    <div class=\"structure-wrapper\">\n\n      <div class=\"sensei-grid sensei-grid-structure\">\n        No data loaded.\n      </div>\n\n    </div>\n\n    <div class=\"index-wrapper\">\n\n      <div class=\"sensei-grid sensei-grid-index\">\n        No data loaded.\n      </div>\n\n    </div>\n\n    <div class=\"foreignkey-wrapper\">\n\n      <div class=\"sensei-grid sensei-grid-fk\">\n        No data loaded.\n      </div>\n\n    </div>\n\n    <div class=\"trigger-wrapper\">\n\n      <div class=\"sensei-grid sensei-grid-trigger\">\n        No data loaded.\n      </div>\n\n    </div>\n\n  </div>\n\n</div>\n\n<div class=\"modal create-index-modal\" tabindex=\"-1\" role=\"dialog\">\n  <div class=\"modal-dialog\">\n    <div class=\"modal-content\">\n      <form action=\"\" method=\"post\">\n        <div class=\"modal-header\">\n          <h4>Create index</h4>\n        </div>\n        <div class=\"modal-body\">\n          <fieldset>\n            <div class=\"form-group\">\n              <label for=\"form[name]\">Index name</label>\n              <input type=\"text\" id=\"form[name]\" name=\"name\" class=\"form-control\">\n            </div>\n            <div class=\"form-group\">\n              <label for=\"form[type]\">Index type</label>\n              <select id=\"form[type]\" name=\"type\" class=\"form-control\">\n                ";
  stack1 = helpers.each.call(depth0, (depth0 && depth0.types), {hash:{},inverse:self.noop,fn:self.program(1, program1, data),data:data});
  if(stack1 || stack1 === 0) { buffer += stack1; }
  buffer += "\n              </select>\n            </div>\n            <div class=\"form-group\">\n              <label for=\"form[columns]\">Columns</label>\n              <select multiple id=\"form[columns]\" name=\"columns\" class=\"form-control\">\n                <option disabled=\"disabled\">Loading...</option>\n              </select>\n            </div>\n          </fieldset>\n        </div>\n        <div class=\"modal-footer\">\n          <button class=\"btn btn-primary\">Create</button>\n        </div>\n      </form>\n    </div>\n  </div>\n</div>\n<div class=\"modal create-fk-modal\" tabindex=\"-1\" role=\"dialog\">\n  <div class=\"modal-dialog\">\n    <div class=\"modal-content\">\n      <form action=\"\" method=\"post\">\n        <div class=\"modal-header\">\n          <h4>Create foreign key</h4>\n        </div>\n        <div class=\"modal-body\">\n          <fieldset>\n            <div class=\"form-group\">\n              <label for=\"form[name]\">Foreign key name</label>\n              <input type=\"text\" id=\"form[name]\" name=\"name\" class=\"form-control\">\n            </div>\n            <div class=\"form-group\">\n              <label for=\"form[columns]\">Columns</label>\n              <select multiple id=\"form[columns]\" name=\"columns\" class=\"form-control\">\n                <option disabled=\"disabled\">Loading...</option>\n              </select>\n            </div>\n            <div class=\"form-group\">\n              <label for=\"form[referenced_table]\">Referenced table</label>\n              <select id=\"form[referenced_table]\" name=\"referenced_table\" class=\"form-control\">\n                <option disabled=\"disabled\">Loading...</option>\n              </select>\n            </div>\n            <div class=\"form-group\">\n              <label for=\"form[referenced_columns]\">Referenced columns</label>\n              <select multiple id=\"form[referenced_columns]\" name=\"referenced_columns\" class=\"form-control\">\n                <option disabled=\"disabled\"></option>\n              </select>\n            </div>\n            <div class=\"form-group\">\n              <label for=\"form[on_delete]\">On delete</label>\n              <select id=\"form[on_delete]\" name=\"on_delete\" class=\"form-control\">\n                ";
  stack1 = helpers.each.call(depth0, (depth0 && depth0.fkActions), {hash:{},inverse:self.noop,fn:self.program(3, program3, data),data:data});
  if(stack1 || stack1 === 0) { buffer += stack1; }
  buffer += "\n              </select>\n            </div>\n            <div class=\"form-group\">\n              <label for=\"form[on_update]\">On update</label>\n              <select id=\"form[on_update]\" name=\"on_update\" class=\"form-control\">\n                ";
  stack1 = helpers.each.call(depth0, (depth0 && depth0.fkActions), {hash:{},inverse:self.noop,fn:self.program(3, program3, data),data:data});
  if(stack1 || stack1 === 0) { buffer += stack1; }
  buffer += "\n              </select>\n            </div>\n          </fieldset>\n        </div>\n        <div class=\"modal-footer\">\n          <button class=\"btn btn-primary\">Create</button>\n        </div>\n      </form>\n    </div>\n  </div>\n</div>\n";
  return buffer;
  });

this["Templates"]["sidebar"] = Handlebars.template(function (Handlebars,depth0,helpers,partials,data) {
  this.compilerInfo = [4,'>= 1.0.0'];
helpers = this.merge(helpers, Handlebars.helpers); data = data || {};
  var buffer = "", stack1, functionType="function", escapeExpression=this.escapeExpression, self=this;

function program1(depth0,data) {
  
  
  return "\n        | <a href=\"#\" class=\"edit-connection\">\n            Edit\n        </a>\n      ";
  }

function program3(depth0,data) {
  
  var buffer = "";
  buffer += "\n                                    <option value=\""
    + escapeExpression((typeof depth0 === functionType ? depth0.apply(depth0) : depth0))
    + "\">"
    + escapeExpression((typeof depth0 === functionType ? depth0.apply(depth0) : depth0))
    + "</option>\n                                ";
  return buffer;
  }

  buffer += "<div class=\"panel panel-default\">\n    <div class=\"panel-heading\">\n        <b class=\"connection-title\">\n            "
    + escapeExpression(((stack1 = ((stack1 = (depth0 && depth0.connection)),stack1 == null || stack1 === false ? stack1 : stack1.username)),typeof stack1 === functionType ? stack1.apply(depth0) : stack1))
    + "@"
    + escapeExpression(((stack1 = ((stack1 = (depth0 && depth0.connection)),stack1 == null || stack1 === false ? stack1 : stack1.hostname)),typeof stack1 === functionType ? stack1.apply(depth0) : stack1))
    + ":"
    + escapeExpression(((stack1 = ((stack1 = (depth0 && depth0.connection)),stack1 == null || stack1 === false ? stack1 : stack1.port)),typeof stack1 === functionType ? stack1.apply(depth0) : stack1))
    + "\n        </b>\n      ";
  stack1 = helpers['if'].call(depth0, ((stack1 = (depth0 && depth0.connection)),stack1 == null || stack1 === false ? stack1 : stack1.is_owner), {hash:{},inverse:self.noop,fn:self.program(1, program1, data),data:data});
  if(stack1 || stack1 === 0) { buffer += stack1; }
  buffer += "\n        <span class=\"clearfix\"></span>\n    </div>\n    <div class=\"panel-menu\">\n        <div class=\"db-row\">\n            <div class=\"db-switcher\"></div>\n            <button class=\"btn btn-link btn-sm db-settings dropdown-toggle\" data-toggle=\"dropdown\">\n                <span class=\"glyphicon glyphicon-cog\"></span>\n            </button>\n            <ul role=\"menu\" class=\"dropdown-menu\">\n                <li class=\"dropdown-header\">Database</li>\n                <li><a class=\"drop-database\" tabindex=\"1\" href=\"#\">Drop current database</a></li>\n                <li><a class=\"create-database\" tabindex=\"2\" href=\"#\">New database</a></li>\n                <li><a class=\"create-table\" tabindex=\"3\" href=\"#\">New table</a></li>\n            </ul>\n            <span class=\"clearfix\"></span>\n        </div>\n        <ul class=\"tables filters-list ninja\">\n            <li class=\"heading\">Filters</li>\n        </ul>\n        <ul class=\"tables tables-list\">\n            <li class=\"heading\">\n                Loading Tables...\n            </li>\n        </ul>\n    </div>\n    <div class=\"sidebar-toolbar panel-footer\">\n        <div class=\"btn-group\">\n            <button class=\"btn btn-link create-database\">New database</button>\n            <button class=\"btn btn-link create-table\">New table</button>\n        </div>\n    </div>\n</div>\n\n<div class=\"modal create-table-modal\" tabindex=\"-1\" role=\"dialog\">\n    <div class=\"modal-dialog\">\n        <div class=\"modal-content\">\n            <form action=\"\" method=\"post\">\n                <div class=\"modal-header\">\n                    <h4>Create table</h4>\n                </div>\n                <div class=\"modal-body\">\n                    <fieldset>\n                        <input type=\"hidden\" name=\"rename_from\">\n                        <div class=\"form-group\">\n                            <label for=\"table-title\">Table name</label>\n                            <input type=\"text\" name=\"title\" id=\"table-title\" class=\"form-control\">\n                        </div>\n                    </fieldset>\n                </div>\n                <div class=\"modal-footer\">\n                    <button class=\"btn btn-primary\">Create</button>\n                </div>\n            </form>\n        </div>\n    </div>\n</div>\n\n<div class=\"modal create-database-modal\" tabindex=\"-1\" role=\"dialog\">\n    <div class=\"modal-dialog\">\n        <div class=\"modal-content\">\n            <form action=\"\" method=\"post\">\n                <div class=\"modal-header\">\n                    <h4>Create database</h4>\n                </div>\n                <div class=\"modal-body\">\n                    <fieldset>\n                        <div class=\"form-group\">\n                            <label for=\"db-name\">Database name</label>\n                            <input type=\"text\" id=\"db-name\" name=\"title\" class=\"form-control\">\n                        </div>\n                        <div class=\"form-group\">\n                            <label for=\"db-charset\">Charset</label>\n                            <select class=\"form-control\" name=\"charset\" id=\"db-charset\">\n                                <option value=\"\">Default</option>\n                                \n                                ";
  stack1 = helpers.each.call(depth0, (depth0 && depth0.charsets), {hash:{},inverse:self.noop,fn:self.program(3, program3, data),data:data});
  if(stack1 || stack1 === 0) { buffer += stack1; }
  buffer += "\n                            </select>\n                        </div>\n                    </fieldset>\n                </div>\n                <div class=\"modal-footer\">\n                    <button class=\"btn btn-primary\">Create</button>\n                </div>\n            </form>\n        </div>\n    </div>\n</div>";
  return buffer;
  });

this["Templates"]["sidebar/db"] = Handlebars.template(function (Handlebars,depth0,helpers,partials,data) {
  this.compilerInfo = [4,'>= 1.0.0'];
helpers = this.merge(helpers, Handlebars.helpers); data = data || {};
  


  return "<select class=\"form-control active-db\" name=\"db-switcher\"></select>";
  });

this["Templates"]["sidebar/meta"] = Handlebars.template(function (Handlebars,depth0,helpers,partials,data) {
  this.compilerInfo = [4,'>= 1.0.0'];
helpers = this.merge(helpers, Handlebars.helpers); data = data || {};
  var buffer = "", stack1, functionType="function", escapeExpression=this.escapeExpression, self=this;

function program1(depth0,data) {
  
  var buffer = "", stack1;
  buffer += "\n            <li class=\"table-meta-heading\">Columns</li>\n            ";
  stack1 = helpers.each.call(depth0, (depth0 && depth0.columns), {hash:{},inverse:self.noop,fn:self.program(2, program2, data),data:data});
  if(stack1 || stack1 === 0) { buffer += stack1; }
  buffer += "\n        ";
  return buffer;
  }
function program2(depth0,data) {
  
  var buffer = "";
  buffer += "\n                <li>"
    + escapeExpression((typeof depth0 === functionType ? depth0.apply(depth0) : depth0))
    + "</li>\n            ";
  return buffer;
  }

function program4(depth0,data) {
  
  
  return "\n            <li class=\"table-meta-heading\"><span class=\"empty-text\">No columns</span></li>\n        ";
  }

  buffer += "<li class=\"table-meta\">\n    <ul>\n        ";
  stack1 = helpers['if'].call(depth0, (depth0 && depth0.columns), {hash:{},inverse:self.program(4, program4, data),fn:self.program(1, program1, data),data:data});
  if(stack1 || stack1 === 0) { buffer += stack1; }
  buffer += "\n    </ul>\n</li>\n";
  return buffer;
  });

this["Templates"]["sidebar/table"] = Handlebars.template(function (Handlebars,depth0,helpers,partials,data) {
  this.compilerInfo = [4,'>= 1.0.0'];
helpers = this.merge(helpers, Handlebars.helpers); data = data || {};
  var buffer = "", stack1, helper, functionType="function", escapeExpression=this.escapeExpression;


  buffer += "<span>\n	<a href=\"#\" class=\"table-item\">";
  if (helper = helpers.title) { stack1 = helper.call(depth0, {hash:{},data:data}); }
  else { helper = (depth0 && depth0.title); stack1 = typeof helper === functionType ? helper.call(depth0, {hash:{},data:data}) : helper; }
  buffer += escapeExpression(stack1)
    + "</a>\n	<a href=\"#\" title=\"Extra\" class=\"table-settings dropdown-toggle\" data-toggle=\"dropdown\" style=\"width: 12%;\">\n    <span class=\"glyphicon glyphicon-cog\"></span>\n  </a>\n  <a href=\"#\" title=\"Open table in query builder view\" data-mode=\"filter\"\n     class=\"table-filter dropdown-toggle\" style=\"width: 9%;\">\n    <span class=\"glyphicon glyphicon-list-alt\"></span>\n  </a>\n  <a href=\"#\" title=\"Open table in raw query editor\" data-mode=\"raw\"\n     class=\"table-raw dropdown-toggle\" style=\"width: 7%;\">\n    <b>R</b>\n  </a>\n\n	<ul role=\"menu\" class=\"dropdown-menu\">\n    <li class=\"dropdown-header\">Table</li>\n    <li><a class=\"table-delete\" tabindex=\"1\" href=\"#\">Delete</a></li>\n    <li><a class=\"table-rename\" tabindex=\"2\" href=\"#\">Rename</a></li>\n    \n  </ul>\n\n	<span class=\"clearfix\"></span>\n</span>";
  return buffer;
  });

this["Templates"]["update_menu"] = Handlebars.template(function (Handlebars,depth0,helpers,partials,data) {
  this.compilerInfo = [4,'>= 1.0.0'];
helpers = this.merge(helpers, Handlebars.helpers); data = data || {};
  var buffer = "", stack1, helper, functionType="function", escapeExpression=this.escapeExpression;


  buffer += "<a href=\"#\">\n    <span class=\"user-menu-label\">New update v";
  if (helper = helpers.latest_version) { stack1 = helper.call(depth0, {hash:{},data:data}); }
  else { helper = (depth0 && depth0.latest_version); stack1 = typeof helper === functionType ? helper.call(depth0, {hash:{},data:data}) : helper; }
  buffer += escapeExpression(stack1)
    + "</span>\n</a>\n\n<div class=\"modal update-modal\" id=\"how-to-update-modal\" tabindex=\"-1\" role=\"dialog\">\n    <div class=\"modal-dialog\">\n        <div class=\"modal-content\">\n            <form action=\"\" method=\"post\">\n                <div class=\"modal-header\">\n                    <h4>How to update Datazenit</h4>\n                </div>\n                <div class=\"modal-body\">\n                    <p>Currently the preferred method to update Datazenit is to use a command line\n                    update tool which can be found in the bin folder of Datazenit installation.\n                      Update tool only works on Linux/Mac OS X platforms.</p>\n\n                    <p>Run the update tool using terminal of your choice.</p>\n\n<pre>$> cd /path/to/datazenit\n$> bin/update</pre>\n\n                  <p>The update process will stop Datazenit instance if running, but you need to manually start it up.\n                    Read more about the update process <a href=\"https://datazenit.com/guide/updating\" target=\"_blank\">here</a></p>\n\n                </div>\n                <div class=\"modal-footer\">\n                    <button type=\"button\" data-dismiss=\"modal\" class=\"btn btn-default\">Dismiss</button>\n                </div>\n            </form>\n        </div>\n    </div>\n</div>\n";
  return buffer;
  });

this["Templates"]["user/account"] = Handlebars.template(function (Handlebars,depth0,helpers,partials,data) {
  this.compilerInfo = [4,'>= 1.0.0'];
helpers = this.merge(helpers, Handlebars.helpers); data = data || {};
  


  return "<div class=\"new-connection\">\n    <form class=\"user-account-form\" role=\"form\" autocomplete=\"off\" method=\"post\">\n        <h2>User Account</h2>\n\n        <div class=\"form-group loading-icon-wrapper\">\n            <div class=\"loading-icon\"></div>\n        </div>\n\n        <div class=\"alert alert-success\" style=\"display:none;\">\n            <b>Success!</b> User account was saved.\n        </div>\n\n        <fieldset>\n\n            <div class=\"form-group\">\n                <label for=\"field_name\">Name*</label>\n                <input class=\"form-control\" name=\"name\" id=\"field_name\">\n            </div>\n\n            <div class=\"form-group\">\n                <label for=\"field_email\">Email*</label>\n                <input class=\"form-control\" name=\"email\" id=\"field_email\">\n            </div>\n\n            <div class=\"form-group\">\n                <label for=\"field_password\">Current Password*</label>\n                <input class=\"form-control\" name=\"password\" type=\"password\" id=\"field_password\">\n            </div>\n\n            <div class=\"form-group\">\n                <label for=\"field_password2\">New Password</label>\n                <input class=\"form-control\" name=\"new_password\" type=\"password\" id=\"field_password2\">\n                <p class=\"help-block\">Optional – only fill this field to change your current password.</p>\n            </div>\n\n        </fieldset>\n\n        <div class=\"form-group\">\n            <button class=\"btn btn-primary save-form\">Save</button>\n        </div>\n\n    </form>\n</div>";
  });

this["Templates"]["user/license"] = Handlebars.template(function (Handlebars,depth0,helpers,partials,data) {
  this.compilerInfo = [4,'>= 1.0.0'];
helpers = this.merge(helpers, Handlebars.helpers); data = data || {};
  


  return "<div class=\"new-connection\">\n    <form class=\"user-account-form\" role=\"form\" autocomplete=\"off\" method=\"post\">\n        <h2>Datazenit License</h2>\n\n        <p>\n          A license key and an internet connection is needed to activate Datazenit. Please obtain a license from\n          <a href=\"https://datazenit.com/store/products\" target=\"_blank\">Datazenit Store</a>.\n          More info about Datazenit licensing can be found\n          <a href=\"https://datazenit.com/guide/license\" target=\"_blank\">here</a>.\n        </p>\n\n        <div class=\"form-group loading-icon-wrapper\">\n            <div class=\"loading-icon\"></div>\n        </div>\n\n        <div class=\"alert alert-success\" style=\"display:none;\">\n            <b>Success!</b> License is valid and not expired, Datazenit is now fully activated.\n        </div>\n\n        <fieldset style=\"display:none\">\n\n            <div class=\"form-group\">\n                <label for=\"field_license\">License Key</label>\n                <textarea class=\"form-control\" name=\"license\" id=\"field_license\" required></textarea>\n            </div>\n\n            <div class=\"form-group\">\n                <button class=\"btn btn-primary save-form\">Add</button>\n            </div>\n\n            <div class=\"table-wrapper\">\n                <table class=\"table table-bordered\">\n                    <thead>\n                        <tr>\n                            <th>Title</th>\n                            <th>Status</th>\n                            <th>Type</th>\n                            <th>Expires</th>\n                            <th>Users</th>\n                            <th>Action</th>\n                        </tr>\n                    </thead>\n                    <tbody></tbody>\n                </table>\n            </div>\n\n        </fieldset>\n\n    </form>\n</div>\n";
  });

this["Templates"]["user/license_table"] = Handlebars.template(function (Handlebars,depth0,helpers,partials,data) {
  this.compilerInfo = [4,'>= 1.0.0'];
helpers = this.merge(helpers, Handlebars.helpers); data = data || {};
  


  return "<table class=\"table table-bordered\">\n    <thead>\n        <tr>\n            <th>Title</th>\n            <th>Status</th>\n            <th>Type</th>\n            <th>Expires</th>\n            <th>Created at</th>\n            <th>Users</th>\n        </tr>\n    </thead>\n    <tbody></tbody>\n</table>\n";
  });

this["Templates"]["user/license_table_item"] = Handlebars.template(function (Handlebars,depth0,helpers,partials,data) {
  this.compilerInfo = [4,'>= 1.0.0'];
helpers = this.merge(helpers, Handlebars.helpers); data = data || {};
  var buffer = "", stack1, helper, functionType="function", escapeExpression=this.escapeExpression, self=this;

function program1(depth0,data) {
  
  
  return "\n    Active\n  ";
  }

function program3(depth0,data) {
  
  
  return "\n    Inactive\n  ";
  }

function program5(depth0,data) {
  
  var stack1, helper;
  if (helper = helpers.expires_at) { stack1 = helper.call(depth0, {hash:{},data:data}); }
  else { helper = (depth0 && depth0.expires_at); stack1 = typeof helper === functionType ? helper.call(depth0, {hash:{},data:data}) : helper; }
  return escapeExpression(stack1);
  }

function program7(depth0,data) {
  
  
  return "Never";
  }

  buffer += "<td>";
  if (helper = helpers.title) { stack1 = helper.call(depth0, {hash:{},data:data}); }
  else { helper = (depth0 && depth0.title); stack1 = typeof helper === functionType ? helper.call(depth0, {hash:{},data:data}) : helper; }
  buffer += escapeExpression(stack1)
    + "</td>\n<td>\n  ";
  stack1 = helpers['if'].call(depth0, (depth0 && depth0.is_active), {hash:{},inverse:self.program(3, program3, data),fn:self.program(1, program1, data),data:data});
  if(stack1 || stack1 === 0) { buffer += stack1; }
  buffer += "\n</td>\n<td>";
  if (helper = helpers.license_type) { stack1 = helper.call(depth0, {hash:{},data:data}); }
  else { helper = (depth0 && depth0.license_type); stack1 = typeof helper === functionType ? helper.call(depth0, {hash:{},data:data}) : helper; }
  buffer += escapeExpression(stack1)
    + "</td>\n<td>";
  stack1 = helpers['if'].call(depth0, (depth0 && depth0.expires_at), {hash:{},inverse:self.program(7, program7, data),fn:self.program(5, program5, data),data:data});
  if(stack1 || stack1 === 0) { buffer += stack1; }
  buffer += "</td>\n<td>";
  if (helper = helpers.user_count) { stack1 = helper.call(depth0, {hash:{},data:data}); }
  else { helper = (depth0 && depth0.user_count); stack1 = typeof helper === functionType ? helper.call(depth0, {hash:{},data:data}) : helper; }
  buffer += escapeExpression(stack1)
    + "</td>\n<td><a href=\"#\" class=\"delete\">Remove</a></td>\n";
  return buffer;
  });

this["Templates"]["user/team"] = Handlebars.template(function (Handlebars,depth0,helpers,partials,data) {
  this.compilerInfo = [4,'>= 1.0.0'];
helpers = this.merge(helpers, Handlebars.helpers); data = data || {};
  var buffer = "", stack1, self=this;

function program1(depth0,data) {
  
  
  return "\n          <th>Action</th>\n        ";
  }

  buffer += "<div class=\"new-connection\">\n  <form class=\"invite-team-member form-inline\" role=\"form\" autocomplete=\"off\" method=\"get\">\n    <h2>Team</h2>\n\n    <div class=\"alert alert-success\" style=\"display:none;\">\n      <b>Success!</b> Team member invited. You can also invite an user manually by using this link:\n      <a target=\"_blank\" href=\"\" class=\"invite_url\"></a>\n    </div>\n\n    <fieldset>\n\n      <h4>Invite team member</h4>\n\n      <div class=\"form-group\">\n        <input type=\"text\" class=\"form-control\" style=\"width:250px;\" name=\"receiver_email\" placeholder=\"user@domain.com\" required>\n      </div>\n\n      <button class=\"btn btn-primary save-form\" type=\"submit\" data-loading-text=\"Sending...\">Invite</button>\n\n    </fieldset>\n\n  </form>\n\n  <hr>\n\n  <h4>Signup approval</h4>\n\n  <p>\n    Signup approval for new users: <b>enabled</b>. <br><br>\n    If signup approval is enabled, you will have to approve new users before they can log into Datazenit.\n    New users will appear in the table below and there will be an \"Approve\" button next to unapproved members.\n    Signup approval can be enabled/disabled using \"application.conf\" file.\n    <a href=\"https://datazenit.com/guide/team-users\" target=\"_blank\">Learn more</a>.\n  </p>\n\n  <hr>\n\n  <div class=\"table-wrapper\">\n    <h4>\n      Team members\n      <a href=\"#\" class=\"pull-right refresh\">Refresh</a>\n      <div class=\"clearfix\"></div>\n    </h4>\n    <table class=\"table table-bordered\">\n      <thead>\n      <tr>\n        <th>User</th>\n        <th>Created</th>\n        <th>Type</th>\n        ";
  stack1 = helpers['if'].call(depth0, ((stack1 = (depth0 && depth0.user)),stack1 == null || stack1 === false ? stack1 : stack1.is_root), {hash:{},inverse:self.noop,fn:self.program(1, program1, data),data:data});
  if(stack1 || stack1 === 0) { buffer += stack1; }
  buffer += "\n      </tr>\n      </thead>\n      <tbody>\n      <tr class=\"loading-row\">\n        <td colspan=\"999\">\n          <span class=\"loading-icon-sm\"></span>\n          Loading users...\n        </td>\n      </tr>\n      </tbody>\n    </table>\n  </div>\n\n</div>\n";
  return buffer;
  });

this["Templates"]["user/team_member"] = Handlebars.template(function (Handlebars,depth0,helpers,partials,data) {
  this.compilerInfo = [4,'>= 1.0.0'];
helpers = this.merge(helpers, Handlebars.helpers); data = data || {};
  var buffer = "", stack1, functionType="function", escapeExpression=this.escapeExpression, self=this;

function program1(depth0,data) {
  
  var stack1;
  return escapeExpression(((stack1 = ((stack1 = (depth0 && depth0.user)),stack1 == null || stack1 === false ? stack1 : stack1.created)),typeof stack1 === functionType ? stack1.apply(depth0) : stack1));
  }

function program3(depth0,data) {
  
  
  return "N/A";
  }

function program5(depth0,data) {
  
  var buffer = "", stack1;
  buffer += "\n		";
  stack1 = helpers['if'].call(depth0, ((stack1 = (depth0 && depth0.user)),stack1 == null || stack1 === false ? stack1 : stack1.is_root), {hash:{},inverse:self.program(8, program8, data),fn:self.program(6, program6, data),data:data});
  if(stack1 || stack1 === 0) { buffer += stack1; }
  buffer += "\n	";
  return buffer;
  }
function program6(depth0,data) {
  
  
  return "Administrator";
  }

function program8(depth0,data) {
  
  
  return "Member";
  }

function program10(depth0,data) {
  
  
  return "\n		Unapproved\n	";
  }

function program12(depth0,data) {
  
  var buffer = "", stack1;
  buffer += "\n<td class=\"team-member-action\">\n\n	";
  stack1 = helpers.unless.call(depth0, ((stack1 = (depth0 && depth0.user)),stack1 == null || stack1 === false ? stack1 : stack1.approved), {hash:{},inverse:self.noop,fn:self.program(13, program13, data),data:data});
  if(stack1 || stack1 === 0) { buffer += stack1; }
  buffer += "\n\n	";
  stack1 = helpers.unless.call(depth0, ((stack1 = (depth0 && depth0.user)),stack1 == null || stack1 === false ? stack1 : stack1.is_root), {hash:{},inverse:self.noop,fn:self.program(15, program15, data),data:data});
  if(stack1 || stack1 === 0) { buffer += stack1; }
  buffer += "\n\n	";
  stack1 = helpers['if'].call(depth0, ((stack1 = (depth0 && depth0.user)),stack1 == null || stack1 === false ? stack1 : stack1.approved), {hash:{},inverse:self.noop,fn:self.program(17, program17, data),data:data});
  if(stack1 || stack1 === 0) { buffer += stack1; }
  buffer += "\n\n</td>\n";
  return buffer;
  }
function program13(depth0,data) {
  
  
  return "\n	<a href=\"#\" class=\"approve btn btn-xs btn-default\">Approve</a>\n	";
  }

function program15(depth0,data) {
  
  
  return "\n	<a href=\"#\" class=\"remove btn btn-xs btn-danger\">Remove</a>\n	";
  }

function program17(depth0,data) {
  
  var buffer = "", stack1;
  buffer += "\n		";
  stack1 = helpers['if'].call(depth0, ((stack1 = (depth0 && depth0.user)),stack1 == null || stack1 === false ? stack1 : stack1.is_root), {hash:{},inverse:self.noop,fn:self.program(18, program18, data),data:data});
  if(stack1 || stack1 === 0) { buffer += stack1; }
  buffer += "\n	";
  return buffer;
  }
function program18(depth0,data) {
  
  
  return "\n		<span class=\"text-muted\">None</span>\n		";
  }

  buffer += "<td>\n  <b>"
    + escapeExpression(((stack1 = ((stack1 = (depth0 && depth0.user)),stack1 == null || stack1 === false ? stack1 : stack1.name)),typeof stack1 === functionType ? stack1.apply(depth0) : stack1))
    + "</b><br>\n  "
    + escapeExpression(((stack1 = ((stack1 = (depth0 && depth0.user)),stack1 == null || stack1 === false ? stack1 : stack1.email)),typeof stack1 === functionType ? stack1.apply(depth0) : stack1))
    + "\n</td>\n<td>";
  stack1 = helpers['if'].call(depth0, ((stack1 = (depth0 && depth0.user)),stack1 == null || stack1 === false ? stack1 : stack1.created), {hash:{},inverse:self.program(3, program3, data),fn:self.program(1, program1, data),data:data});
  if(stack1 || stack1 === 0) { buffer += stack1; }
  buffer += "</td>\n<td>\n\n	";
  stack1 = helpers['if'].call(depth0, ((stack1 = (depth0 && depth0.user)),stack1 == null || stack1 === false ? stack1 : stack1.approved), {hash:{},inverse:self.program(10, program10, data),fn:self.program(5, program5, data),data:data});
  if(stack1 || stack1 === 0) { buffer += stack1; }
  buffer += "\n</td>\n";
  stack1 = helpers['if'].call(depth0, (depth0 && depth0.is_root), {hash:{},inverse:self.noop,fn:self.program(12, program12, data),data:data});
  if(stack1 || stack1 === 0) { buffer += stack1; }
  buffer += "\n";
  return buffer;
  });

return this["Templates"];

});