define(['underscore', 'backbone', 'context'], function (_, Backbone, Context) {
    return Backbone.Model.extend({
        url_base: "/query/meta/%(connection)s/%(db)s/%(table)s",
        url: function () {
            return encodeURI(this.url_base.format(Context));
        },
        defaults: {
            foreign_keys: [],
            primary_keys: [],
            columns: []
        },
        getColumnString: function () {
            return this.get("columns").join(", ");
        }
    });
});
