$(function () {
    $(".signup-form").on("submit", function (e) {
        e.preventDefault();
        $(".signup-form .btn-primary").prop("disabled", true).text("Loading...");
        $.post($(this).prop("action"), $(this).serialize(), function (res) {
            if (res["status"] === "ok") {
              document.location = "/";
            } else if (res["status"] === "unapproved") {
              document.location = "/unapproved";
            } else {
              alert("Unexpected response from server.");
            }
        }, "json").fail(function (xhr) {
            var res = $.parseJSON(xhr.responseText);
            $(".signup-form .btn-primary").prop("disabled", false).text("Signup");
            $(".signup-form p.error").remove();
            $.each(res.errors, function (key, error) {
                var $error = $("<p>").addClass("error help-block").text(error);
                var $field = $(".signup-form input").filter(function () { 
                    return $(this).attr("name") === key; 
                });
                $error.insertAfter($field);
            });
        });
    });
});